xpath_stack_data Struct Reference
Collaboration diagram for xpath_stack_data:
[legend]

## Public Member Functions

| xpath_stack_data ()
| ~xpath_stack_data ()

## Public Attributes

xpath_memory_block | blocks [2]
xpath_allocator | result
xpath_allocator | temp
xpath_stack | stack

## Detailed Description

Definition at line 6368 of file pugixml.cpp.

## Constructor & Destructor Documentation

## xpath_stack_data()

xpath_stack_data::xpath_stack_data | ( |  | ) |

inline

Definition at line 6379 of file pugixml.cpp.

: result(blocks + 0), temp(blocks + 1)
{
blocks[0].next = blocks[1].next = 0;
blocks[0].capacity = blocks[1].capacity = sizeof(blocks[0].data);
stack.result = &result;
stack.temp = &temp;
#ifdef PUGIXML_NO_EXCEPTIONS
result.error_handler = temp.error_handler = &error_handler;
#endif
}
xpath_memory_block::capacity
size_t capacity
Definition pugixml.cpp:6189
xpath_memory_block::next
xpath_memory_block * next
Definition pugixml.cpp:6188
xpath_memory_block::data
char data[4096]
Definition pugixml.cpp:6197
xpath_stack_data::temp
xpath_allocator temp
Definition pugixml.cpp:6372
xpath_stack_data::blocks
xpath_memory_block blocks[2]
Definition pugixml.cpp:6370
xpath_stack_data::result
xpath_allocator result
Definition pugixml.cpp:6371
xpath_stack_data::stack
xpath_stack stack
Definition pugixml.cpp:6373
xpath_stack::temp
xpath_allocator * temp
Definition pugixml.cpp:6365
xpath_stack::result
xpath_allocator * result
Definition pugixml.cpp:6364

References blocks, xpath_memory_block::capacity, xpath_memory_block::data, xpath_memory_block::next, xpath_stack::result, result, stack, xpath_stack::temp, and temp.

## ~xpath_stack_data()

xpath_stack_data::~xpath_stack_data | ( |  | ) |

inline

Definition at line 6392 of file pugixml.cpp.

{
result.release();
temp.release();
}
xpath_allocator::release
void release()
Definition pugixml.cpp:6331

References xpath_allocator::release(), result, and temp.

## Member Data Documentation

## blocks

xpath_memory_block xpath_stack_data::blocks[2]

Definition at line 6370 of file pugixml.cpp.

Referenced by xpath_stack_data().

## result

xpath_allocator xpath_stack_data::result

Definition at line 6371 of file pugixml.cpp.

Referenced by xpath_stack_data(), and ~xpath_stack_data().

## stack

xpath_stack xpath_stack_data::stack

Definition at line 6373 of file pugixml.cpp.

Referenced by evaluate_string_impl(), and xpath_stack_data().

## temp

xpath_allocator xpath_stack_data::temp

Definition at line 6372 of file pugixml.cpp.

Referenced by xpath_stack_data(), and ~xpath_stack_data().

The documentation for this struct was generated from the following file:

- pugixml.cpp